Skip to main content
GET
/
organizations
/
{organization}
/
databases
/
{database}
/
deploy-requests
/
{number}
/
storage-check
Check deploy request storage
curl --request GET \
  --url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/deploy-requests/{number}/storage-check \
  --header 'Authorization: Bearer <token>'
{
  "enough_storage": true,
  "upgradeable": true,
  "storage_bytes_needed": 123,
  "storage_report": {}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The name of the deploy request's organization

database
string
required

The name of the deploy request's database

number
integer
required

The number of the deploy request

Response

Returns storage check information for the deploy request

enough_storage
boolean
required

Whether the cluster has enough storage to safely deploy

upgradeable
boolean
required

Whether the target branch cluster can be upgraded for more storage

storage_bytes_needed
integer
required

Total estimated bytes of additional storage needed for the deployment

storage_report
object
required

Per-keyspace and per-shard storage report. Keys are keyspace names.